# Glib::TimeoutSource Class Reference
[The Main Event Loop]

Inherits Glib::Source.

Collaboration diagram for Glib::TimeoutSource:
[legend]

List of all members.

## Public Types

typedef Glib::TimeoutSource | CppObjectType

## Public Member Functions

sigc::connection | connect (const sigc::slot< bool >&slot)

## Static Public Member Functions

static Glib::RefPtr < TimeoutSource > | create (unsigned int interval)

## Protected Member Functions

| TimeoutSource (unsigned int interval)
virtual | ~TimeoutSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (sigc::slot_base*slot)

## Member Typedef Documentation

typedef Glib::TimeoutSource Glib::TimeoutSource::CppObjectType

Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::TimeoutSource::TimeoutSource | ( | unsigned int | interval | ) | `[explicit, protected]`

virtual Glib::TimeoutSource::~TimeoutSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool Glib::TimeoutSource::check | ( |  | ) | `[protected, virtual]`

Implements Glib::Source.

sigc::connection Glib::TimeoutSource::connect | ( | const sigc::slot< bool > & | slot | ) |

static Glib::RefPtr<TimeoutSource> Glib::TimeoutSource::create | ( | unsigned int | interval | ) | `[static]`

virtual bool Glib::TimeoutSource::dispatch | ( | sigc::slot_base * | slot | ) | `[protected, virtual]`

Implements Glib::Source.

virtual bool Glib::TimeoutSource::prepare | ( | int & | timeout | ) | `[protected, virtual]`

Implements Glib::Source.

The documentation for this class was generated from the following file:

- glibmm/main.h